"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBabelConfig = void 0;
/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
function createBabelConfig(modules, browsers, useBuiltIns, corejs) {
    return {
        presets: [
            [
                require('@babel/preset-env'),
                {
                    modules: modules === 'cjs' ? 'cjs' : false,
                    targets: {
                        browsers,
                    },
                    useBuiltIns,
                    corejs,
                },
            ],
        ],
        plugins: [
            require('@babel/plugin-proposal-class-properties'),
            require('@babel/plugin-proposal-object-rest-spread'),
            require('@babel/plugin-proposal-optional-chaining'),
            require('@babel/plugin-proposal-nullish-coalescing-operator'),
        ],
    };
}
exports.createBabelConfig = createBabelConfig;
